Subject: Questions about lad in china

From: [email-masked] (Zuhan Xi)
Date: Wed, 30 Mar 94 11:33:22 CST

Dear Netters,

I have some problems and need your help.  I am a CSPAer, and I have a 5-year-
old son in China now.  I plan to apply a GC for him.  I went to a local INS
office and was told that I just need to fill in I-824 form and send it to INS
East Service Center where I filed my CSPA case.

It seems to me too simple to believe since I-824 is only one sheet form and 
just require name, date of birth, and country of birth of my son.  I'd like
to
bring follow questions if and experenced people and answer:

1) What the form(s) I should file for my son?
2) What other documents ( such as birth certificate of my son, financial suppor[[rt
   statement, an so on) I should submit with the form(s)?
3) Where I should file, local INS or Service Center?
4) Is that correct that only U.S. Consulate at Guang-Zhou can be notified for 
   lads in China, or I can choose Consulate at Shanghai?

If you can provide me any answers, sugestion, and information, I'll greatly
appreciate.

Thank you in advance.

Z. XI